Stats

## Functions

static int | osmo_stat_item_handler (struct osmo_stat_item_group *statg, struct osmo_stat_item *item, void *vctx_)
void | vty_out_stat_item_group (struct vty *vty, const char *prefix, struct osmo_stat_item_group *statg)
| print a stat item group to given VTY More...
static int | osmo_stat_item_group_handler (struct osmo_stat_item_group *statg, void *vctx_)

## Detailed Description

## Function Documentation

## osmo_stat_item_group_handler()

static int osmo_stat_item_group_handler | ( | struct osmo_stat_item_group * | statg,
|  | void * | vctx_
| ) |  |

static

References vty_out_context::max_level, osmo_stat_item_handler(), vty_out_context::prefix, vty_out_context::vty, VTY_NEWLINE, and vty_out().

Referenced by vty_out_statistics_partial().

## osmo_stat_item_handler()

static int osmo_stat_item_handler | ( | struct osmo_stat_item_group * | statg,
|  | struct osmo_stat_item * | item,
|  | void * | vctx_
| ) |  |

static

References vty_out_context::prefix, vty_out_context::vty, VTY_NEWLINE, and vty_out().

Referenced by osmo_stat_item_group_handler(), and vty_out_stat_item_group().

## vty_out_stat_item_group()

void vty_out_stat_item_group | ( | struct vty * | vty,
|  | const char * | prefix,
|  | struct osmo_stat_item_group * | statg
| ) |  |

print a stat item group to given VTY

Parameters

  [in] | vty | The VTY to which it should be printed
  [in] | prefix | Any additional log prefix ahead of each line
  [in] | statg | Stat item group to be printed

References osmo_stat_item_handler(), vty_out_context::prefix, vty_out_context::vty, VTY_NEWLINE, and vty_out().